## LoadResource

Since Ant 1.7

### Description

Load a text resource into a single property. Unless an encoding is specified, the encoding of the current locale is used. Resources to load are specified as nested resource elements or single element resource collections.

### Parameters

Attribute | Description | Required
property | property to save to | Yes
encoding | encoding to use when loading the resource | No
failonerror | Whether to halt the build on failure | No, default "true"

The LoadResource task supports nested FilterChains.

### Examples

    <loadresource property="homepage">
      <url url="http://ant.apache.org/index.html"/>
    </loadresource>

Load the entry point of Ant's homepage into property "homepage"; an `<echo>` can print this.

For more examples see the loadfile task.

Copyright © 2001-2002,2004-2005 The Apache Software Foundation. All rights Reserved.